Bug 1420394 - both origin and kubernetes-client provide /usr/bin/kubectl
Summary: both origin and kubernetes-client provide /usr/bin/kubectl
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: origin
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 14:47 UTC by Igor Gnatenko
Modified: 2018-12-06 09:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-06 09:27:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Igor Gnatenko 2017-02-08 14:47:48 UTC
Which is obviously wrong..

Moreover, both have file-conflict, but do not have Conflicts on packaging level which is violating guidelines.

Comment 1 Fedora End Of Life 2017-02-28 11:13:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Igor Gnatenko 2017-03-11 21:38:50 UTC
ping?

Comment 3 Adam Miller 2017-04-28 21:00:02 UTC
Apologies for the delay. OpenShift is a kubernetes distribution. This is not incorrect but the packages should probably conflict.

Thoughts on making the packages conflict?

Comment 4 Igor Gnatenko 2017-07-23 09:32:09 UTC
Fine with making conflicts.

Comment 5 Fedora End Of Life 2018-05-03 08:03:51 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2018-05-29 12:39:39 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Vinzenz Feenstra [evilissimo] 2018-06-21 07:21:44 UTC
I still do not see any conflict in F27:

Error: Transcation check error:
    file /usr/bin/kubectl from install of origin-clients-3.6.0-1.fc27.x86_64 conflicts with file from package kubernetes-client-1.10.1-0.fc27.x86_64

Comment 9 Neal Gompa 2018-09-29 13:10:40 UTC
This is still the case today, though since we set up alternatives with hyperkube, coudl we also do this with kubectl?

Comment 10 Jakub Čajka 2018-12-06 09:27:46 UTC
(In reply to Neal Gompa from comment #9)
> This is still the case today, though since we set up alternatives with
> hyperkube, coudl we also do this with kubectl?

We don't have alternatives(dropped) as kube haven't done its part(were afraid of impact of sym links), there is now explicit conflict in 3.11 packages. I hope that I have covered all the cases/subpackages, if not please re-open this.


Note You need to log in before you can comment on or make changes to this bug.